# This Spec file was Created by Marco Meijer <korrel@mandrakeclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit comments via http://www.mandrivaclub.nl

%define __libtoolize /bin/true
%define name    smb4k
%define version 0.7.1
%define release 1.2006mcnl
%define summary SMB Share Browser
%define section System/Configuration/Networking

%define	major	0
%define	libname	%mklibname %name %major

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://smb4k.berlios.de/
#KDE_APPS	http://www.kde-apps.org/content/show.php?content=9814
License:        GPL
Group:          Networking/File transfer
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        %{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
BuildRequires:  qt3-devel libkdebase4-devel 
Requires:	%libname = %version-%release 
Requires:	samba-client

%description

Smb4K is a SMB/CIFS share browser for KDE. It uses the Samba software suite to
access the SMB/CIFS shares of the local network neighborhood. Its purpose is to
provide a program that's easy to use and has as many features as possible.

    
%package -n %{libname}
Summary:	Main libraries for %name.
Group:		System/Libraries
License:	GPL
Provides:	%{libname} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %name. 

%package -n %{libname}-devel
Summary:    Development tools for programs which will use the %libname library.
Group:      Development/C++
License:	GPL
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
The %{libname}-devel package includes the header files and static libraries
necessary for developing programs using the %{libname} library.

If you are going to develop programs which will use this library
you should install %{libname}-devel.  You'll also need to have the %name
package installed.


%prep

%setup -q -n %{name}-%{version}

%build
%configure 

%make 

%install

%makeinstall 

#icons
%define  nameicon smb4k/icons/cr64-app-smb4k.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png


# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="Smb4k" \
longtitle="%summary"
EOF


%post
%update_menus

%postun
%clean_menus

%post -n %{libname} -p /sbin/ldconfig                                                                                                        
%postun -n %{libname} -p /sbin/ldconfig   

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog COPYING README TODO
%{_menudir}/*
%{_iconsdir}
%{_bindir}/*
%{_datadir}/applications/kde/smb4k.desktop
%{_datadir}/apps/smb4k/smb4kui.rc
%{_datadir}/apps/konqsidebartng/add/smb4k_add.desktop
%{_datadir}/doc/*
%{_datadir}/icons/*
%{_datadir}/locale/*

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_libdir}/kde3/*
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog COPYING README TODO
%{_libdir}/*.so
%{_libdir}/*a
%{_includedir}/*
  

%changelog 
*Sun Jun 18 2006 Marco Meijer <marco@mandrivaclub.nl> 0.7.1-1.2006mcnl
new version

*Fri Apr 23 2006 Marco Meijer <marco@mandrivaclub.nl> 0.7.0-1.2006mcnl
new version

*Fri Mar 17 2006 Marco Meijer <marco@mandrivaclub.nl> 0.6.8-1.2006mcnl
new version

*Sun Feb 05 2006 Marco Meijer <marco@mandrivaclub.nl> 0.6.7-1.2006mcnl
new version

*Sat Feb 04 2006 Marco Meijer <marco@mandrivaclub.nl> 0.6.6-1.2006mcnl
new version

*Sun Oct 30 2005 Marco Meijer <marco@mandrivaclub.nl> 0.6.4-1.2006mcnl
new version

*Sun Sep 04 2005 Marco Meijer <korrel@mandrakeclub.nl> 0.6.3-1.102mcnl
new version

*Tue Aug 30 2005 Marco Meijer <korrel@mandrakeclub.nl> 0.6.2-1.102mcnl
new version

*Mon Aug 01 2005 Marco Meijer <korrel@mandrakeclub.nl> 0.6.1-1.102mcnl
new version

*Fri Jun 17 2005 Marco Meijer <korrel@mandrakeclub.nl> 0.6.0-3.102mcnl
removed devel dependencies from linsmb4k

*Fri Jun 17 2005 Marco Meijer <korrel@mandrakeclub.nl> 0.6.0-2.102mcnl
add a conflicts line for older versions

*Fri Jun 17 2005 Marco Meijer <korrel@mandrakeclub.nl> 0.6.0-1.102mcnl
new version

*Sun Mar 27 2005 Marco Meijer <korrel@mandrakeclub.nl> 0.5.2-1.101mcnl
new version

*Sun Jan 30 2005 Marco Meijer <korrel@mandrakeclub.nl> 0.5.1-1.101mcnl
new version

*Tue Jan 11 2005 Marco Meijer <korrel@mandrakeclub.nl> 0.5.0-1.101mcnl
new version

*Sat Sep 04 2004 Marco Meijer <korrel@mandrakeclub.nl> 0.4.1.a-1mcnl
- Fixed severe bug in Smb4KMounter::unmountAll(), which led under certain circumstances to complete data loss on remote shares. Thanks go to Jeremy Shaw for informing us and sending a patch.
- Updated French and Polish translations.
- Added missing connection to Smb4KApp::slotQuit() to system tray.

*Sun Aug 29 2004 Marco Meijer <korrel@mandrakeclub.nl> 0.4.1-1mcnl
new version www.mandrakeclub.nl



